falcon-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From venkat...@apache.org
Subject git commit: FALCON-215 Falcon-start fails. Contributed by Arpit Gupta
Date Thu, 02 Jan 2014 19:33:38 GMT
Updated Branches:
  refs/heads/branch-0.4 0f8b822f5 -> 69562ef7f


FALCON-215 Falcon-start fails. Contributed by  Arpit Gupta


Project: http://git-wip-us.apache.org/repos/asf/incubator-falcon/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-falcon/commit/69562ef7
Tree: http://git-wip-us.apache.org/repos/asf/incubator-falcon/tree/69562ef7
Diff: http://git-wip-us.apache.org/repos/asf/incubator-falcon/diff/69562ef7

Branch: refs/heads/branch-0.4
Commit: 69562ef7f937c24d219ed6cec83f1370ca64c93c
Parents: 0f8b822
Author: Venkatesh Seetharam <venkatesh@apache.org>
Authored: Thu Jan 2 11:29:28 2014 -0800
Committer: Venkatesh Seetharam <venkatesh@apache.org>
Committed: Thu Jan 2 11:29:28 2014 -0800

----------------------------------------------------------------------
 CHANGES.txt              | 2 ++
 src/bin/falcon-config.sh | 9 +++++++--
 2 files changed, 9 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-falcon/blob/69562ef7/CHANGES.txt
----------------------------------------------------------------------
diff --git a/CHANGES.txt b/CHANGES.txt
index 1412150..d94d415 100755
--- a/CHANGES.txt
+++ b/CHANGES.txt
@@ -198,6 +198,8 @@ Release Version: 0.4-incubating
 
     FALCON-158 Fix failing jenkins nightly build. (Venkatesh Seetharam)
 
+    FALCON-215 Falcon-start fails. (Arpit Gupta via Venkatesh Seetharam)
+
 
 
 Release Version: 0.3-incubating

http://git-wip-us.apache.org/repos/asf/incubator-falcon/blob/69562ef7/src/bin/falcon-config.sh
----------------------------------------------------------------------
diff --git a/src/bin/falcon-config.sh b/src/bin/falcon-config.sh
index 412a994..47cc1e3 100644
--- a/src/bin/falcon-config.sh
+++ b/src/bin/falcon-config.sh
@@ -40,14 +40,19 @@ fi
 
 if test -z ${JAVA_HOME}
 then
-    JAVA_BIN=java
-    JAR_BIN=jar
+    JAVA_BIN=`which java`
+    JAR_BIN=`which jar`
 else
     JAVA_BIN=${JAVA_HOME}/bin/java
     JAR_BIN=${JAVA_HOME}/bin/jar
 fi
 export JAVA_BIN
 
+if [ ! -e $JAVA_BIN ] || [ ! -e $JAR_BIN ]; then
+  echo "$JAVA_BIN and/or $JAR_BIN not found on the system. Please make sure java and jar
commands are available."
+  exit 1
+fi
+
 # default the heap size to 1GB
 DEFAULT_JAVA_HEAP_MAX=-Xmx1024m
 FALCON_OPTS="$DEFAULT_JAVA_HEAP_MAX $FALCON_OPTS"


Mime
View raw message